- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QNetworkAddressEntry Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qnetworkinterface.h.

`#include <qnetworkinterface.h>`

List of all members.

## Public Member Functions
| QNetworkAddressEntry ()
| QNetworkAddressEntry (const QNetworkAddressEntry &other)
QNetworkAddressEntry & | operator= (const QNetworkAddressEntry &other)
| ~QNetworkAddressEntry ()
bool | operator== (const QNetworkAddressEntry &other) const
bool | operator!= (const QNetworkAddressEntry &other) const
QHostAddress | ip () const
void | setIp (const QHostAddress &newIp)
QHostAddress | netmask () const
void | setNetmask (const QHostAddress &newNetmask)
int | prefixLength () const
void | setPrefixLength (int length)
QHostAddress | broadcast () const
void | setBroadcast (const QHostAddress &newBroadcast)

## Constructor & Destructor Documentation

QNetworkAddressEntry | ( |  | ) |

QNetworkAddressEntry | ( | const QNetworkAddressEntry & | other | ) |

~QNetworkAddressEntry | ( |  | ) |

## Member Function Documentation

QNetworkAddressEntry& operator= | ( | const QNetworkAddressEntry & | other | ) |

bool operator== | ( | const QNetworkAddressEntry & | other | ) | const

bool operator!= | ( | const QNetworkAddressEntry & | other | ) | const `[inline]`

Definition at line 68 of file qnetworkinterface.h.

        { return !(*this == other); }

QHostAddress ip | ( |  | ) | const

Search for all occurrences

void setIp | ( | const QHostAddress & | newIp | ) |

Search for all occurrences

QHostAddress netmask | ( |  | ) | const

Search for all occurrences

void setNetmask | ( | const QHostAddress & | newNetmask | ) |

Search for all occurrences

int prefixLength | ( |  | ) | const

Search for all occurrences

void setPrefixLength | ( | int | length | ) |

Search for all occurrences

QHostAddress broadcast | ( |  | ) | const

Search for all occurrences

void setBroadcast | ( | const QHostAddress & | newBroadcast | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkinterface.h

QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry
QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry QNetworkAddressEntry